.dropdown-menu
  position: relative
  color: $color-grey-text
  font-size: 13px
  width: 4px

  a,
  button
    border-radius: 0
    text-transform: none

    &:before
      $icon-size: 18px

      margin-right: 10px
      font-size: $icon-size
      line-height: $icon-size
      min-width: $icon-size
      text-align: center
      top: 2px
      position: relative
      +icon

    &.blink:before
      +icon-blink

    &.stop:before
      +icon-abort
      top: 0
      font-size: 13px

    &.edit-job:before
      +icon-pencil

    &.disconnect:before
      +icon-disconnect

    &.schedule-job:before
      +icon-upload

  &:before
    +icon
    +icon-more
    cursor: pointer
    font-size: 24px
    left: -5px
    padding: 8px
    position: absolute
    top: 50%
    transform: translate(-50%, -50%)
    z-index: 1

  &.visible
    ul
      display: block

  ul,
  .items
    display: none
    position: absolute
    right: -20px
    top: 20px
    width: 160px
    list-style: none
    margin: 0
    padding: 0
    z-index: 2

    &:after
      bottom: 0
      content: ''
      right: 10px
      top: -10px
      position: absolute
      transform: translate(-50%, 0)

    li
      border-bottom: 1px solid $color-black-border

    li:last-child
      border-bottom: 0

    li a,
    li button
      background-color: $color-black
      border-width: 0 0 1px 0
      color: #fff
      cursor: pointer
      display: block
      font: inherit
      padding: 15px 20px
      text-align: left
      text-decoration: none
      width: 100%

      &:active,
      &:focus
        outline: none

      &:hover
        background-color: lighten($color-black, 5%)

      &:last-child
        border-bottom: none

  &:not(.flipped)
    ul:after
      +triangle(20px, $color-black, up)

  &.flipped
    ul
      bottom: 22px
      top: auto

      &:after
        +triangle(20px, $color-black, down)
        bottom: -10px
        top: auto
